## readline6 6.2

=== debian/changelog ===
readline6 (6.2-9ubuntu1) raring; urgency=low

  * Build x32 packages.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 14 Nov 2012 12:18:05 +0100

readline6 (6.2-9) unstable; urgency=low

  * Apply upstream patches 002 - 004. Fixes:
    - The readline shared library helper script needs to be updated for
      Mac OS X 10.7 (Lion, darwin11).
    - A change between readline-6.1 and readline-6.2 to prevent the readline
      input hook from being called too frequently had the side effect of
      causing delays when reading pasted input on systems such as Mac OS X.
      This patch fixes those delays while retaining the readline-6.2 behavior.
      Closes: #687100.
    - Attempting to redo (using `.') the vi editing mode `cc', `dd', or `yy'
      commands leads to an infinite loop.
  * Make examples Makefile Multi-Arch installable (Shawn Landden).
    Closes: #670030.
  * Fix building with -Wformat-security, and pass CPPFLAGS (Simon Ruderich).
    Closes: #687717.

 -- Matthias Klose <doko@debian.org>  Mon, 17 Sep 2012 14:10:00 +0200

readline6 (6.2-8) unstable; urgency=low

  * Mark readline-common Multi-Arch: foreign. Closes: #648098.

 -- Matthias Klose <doko@debian.org>  Mon, 21 Nov 2011 23:21:05 +0100

readline6 (6.2-7) unstable; urgency=low

  * Fix build failure on hurd-i386 (Samuel Thibault). Closes: #644777.
  * Use dpkg-buildflags to set CFLAGS and LDFLAGS.

 -- Matthias Klose <doko@debian.org>  Sun, 09 Oct 2011 11:23:45 +0200

readline6 (6.2-6) unstable; urgency=low

  * lib{,32}readline6-dev: Depend on lib{,32}tinfo-dev instead of
    lib{,32}ncurses5-dev.
  * Don't link rlfe against any libncurses* library.

 -- Matthias Klose <doko@debian.org>  Tue, 04 Oct 2011 16:33:44 +0200

readline6 (6.2-5) unstable; urgency=low

  * Do not link against any libncurses* library, just against libtinfo.
  * Fix corrupt display for history search in vi-mode, 256-color prompt
    (Micah Cowan). Closes: #614718, LP: #721982.
  * Remove unused build-dep on lsb-release. Closes: #642383.

 -- Matthias Klose <doko@debian.org>  Sat, 01 Oct 2011 11:56:50 +0200

readline6 (6.2-4) unstable; urgency=low

  * Fix broken .so symlinks.

 -- Matthias Klose <doko@debian.org>  Wed, 24 Aug 2011 10:08:49 +0200

readline6 (6.2-3) unstable; urgency=low

  * Add multi-arch support (Riku Voipio). Closes: #638850.

 -- Matthias Klose <doko@debian.org>  Tue, 23 Aug 2011 00:25:58 +0200

readline6 (6.2-2) unstable; urgency=low

  * Re-apply patch from 6.1-3, fixing kfreebsd build failure. Closes: #626704.

 -- Matthias Klose <doko@debian.org>  Wed, 18 May 2011 12:04:44 +0200

readline6 (6.2-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sat, 23 Apr 2011 14:37:46 +0200

readline6 (6.2~alpha1-1) experimental; urgency=low

  * New upstream version, first alpha release.

 -- Matthias Klose <doko@debian.org>  Mon, 22 Nov 2010 10:30:08 +0100

readline6 (6.1-3) unstable; urgency=low

  * Fix build failure on kfreebsd. Closes: #577234.

 -- Matthias Klose <doko@debian.org>  Sun, 30 May 2010 20:31:27 +0200

readline6 (6.1-2) unstable; urgency=low

  * Apply upstream patches 
  * rlfe: Provide readline-editor. Closes: #565964.
  * Use source format 3.0.

 -- Matthias Klose <doko@debian.org>  Sat, 10 Apr 2010 13:28:58 +0200

readline6 (6.1-1) unstable; urgency=low

  * New upstream version, final release.

 -- Matthias Klose <doko@debian.org>  Sat, 02 Jan 2010 13:29:08 +0100

readline6 (6.1~rc1-1) unstable; urgency=low

  * New upstream version, release candidate 1.
  * Add symbols files.

 -- Matthias Klose <doko@debian.org>  Wed, 30 Dec 2009 15:02:07 +0100

readline6 (6.0-5) unstable; urgency=low

  * Fix rlfe, always writing a history file (Andrew Pimlott).
    Closes: #544944.

 -- Matthias Klose <doko@debian.org>  Sun, 20 Sep 2009 10:36:09 +0200

readline6 (6.0-4) unstable; urgency=low

  * libreadline6-dev: Conflict with libreadline5-dev. Closes: #544082.

 -- Matthias Klose <doko@debian.org>  Sat, 29 Aug 2009 12:38:02 +0200

readline6 (6.0-3) unstable; urgency=low

  * Add a package libreadline-dev to be used as a build dependency,
    independent of the readline version.
  * Add cross build support (closes: #465237).
  * Clarify package description (closes: #478276) and comment in
    inputrc file (closes: #501671).

 -- Matthias Klose <doko@debian.org>  Mon, 24 Aug 2009 04:26:15 +0200

readline6 (6.0-2) unstable; urgency=low

  * Apply upstream patch 004.
  * Fix package sections and priorities and lintian warnings.

 -- Matthias Klose <doko@debian.org>  Sun, 23 Aug 2009 17:37:21 +0200

readline6 (6.0-1) experimental; urgency=low

  * New upstream version, final release.
  * Apply upstream patches 001 - 003.

 -- Matthias Klose <doko@debian.org>  Sun, 28 Jun 2009 19:18:02 +0200

readline6 (6.0~beta-0ubuntu1) jaunty; urgency=low

  * New upstream version, 6.0 beta.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 29 Nov 2008 17:56:45 +0100

readline5 (5.2-4) unstable; urgency=low

  * Apply upstream patches up to readline52-013. Closes: #494934.
  * Remove the patch introduced in 5.2-3.1, obsoleted by the upstream
    patches.

 -- Matthias Klose <doko@debian.org>  Sat, 28 Feb 2009 19:00:38 +0100

readline5 (5.2-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Apply rl-input-eventhook.dpatch: Fix input data validation when run with
    rl_event_hook. Closes: #498277.

 -- Arnaud Cornet <acornet@debian.org>  Sat, 10 Jan 2009 17:06:46 +0100

readline5 (5.2-3) unstable; urgency=low

  * Build-depend on gcc-multilib instead of lib{32,64}c*-dev-*.
    Closes: #423995.
  * Apply upstream patch readline52-001 (readline neglects to reallocate
    the array it uses to keep track of wrapped screen lines when increasing
    its size.  This will eventually result in segmentation faults when given
    sufficiently long input.
  * Apply upstream patch readline52-003 and readline52-004, fixes
    for displaying the prompt.
  * Link biarch builds against ncurses.


