=== debian/control ===
Source: readline6
Section: libs
Priority: important
Maintainer: Matthias Klose <doko@debian.org>
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 8.1.3),
  libtinfo-dev, lib32tinfo-dev [amd64 ppc64],
  libncursesw5-dev (>= 5.6),
  lib32ncursesw5-dev [amd64 ppc64], lib64ncurses5-dev [i386 powerpc sparc s390],
  libx32tinfo-dev [amd64 i386], libx32ncursesw5-dev [amd64 i386],
  mawk | awk, texinfo, autotools-dev,
  gcc-multilib [amd64 i386 kfreebsd-amd64 powerpc ppc64 s390 sparc]

Package: libreadline6
Architecture: any
Depends: readline-common, ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Section: libs
Priority: important
Description: GNU readline and history libraries, run-time libraries
 The GNU readline library aids in the consistency of user interface
 across discrete programs that need to provide a command line
 interface.
 .
 The GNU history library provides a consistent user interface for
 recalling lines of previously typed input.

Package: lib64readline6
Architecture: i386 powerpc s390 sparc
Depends: readline-common, ${shlibs:Depends}, ${misc:Depends}
Section: libs
Priority: optional
Description: GNU readline and history libraries, run-time libraries (64-bit)
 The GNU readline library aids in the consistency of user interface
 across discrete programs that need to provide a command line
 interface.
 .
 The GNU history library provides a consistent user interface for
 recalling lines of previously typed input.

Package: readline-common
Architecture: all
Multi-Arch: foreign
Section: utils
Depends: dpkg (>= 1.15.4) | install-info, ${misc:Depends}
Conflicts: libreadline5 (<< 5.0-11), libreadline-common
Replaces: libreadline4 (<< 4.3-16), libreadline5 (<< 5.0-11), libreadline-common
Priority: important
Description: GNU readline and history libraries, common files
 The GNU readline library aids in the consistency of user interface
 across discrete programs that need to provide a command line
 interface.
 .
 The GNU history library provides a consistent user interface for
 recalling lines of previously typed input.

Package: libreadline-dev
Architecture: any
Depends: libreadline6-dev (= ${binary:Version}), ${misc:Depends}
Conflicts: libreadline-gplv2-dev
Multi-Arch: same
Section: libdevel
Priority: optional
Description: GNU readline and history libraries, development files
 The GNU readline library aids in the consistency of user interface
 across discrete programs that need to provide a command line
 interface.
 .
 The GNU history library provides a consistent user interface for
 recalling lines of previously typed input.
 .
 This package is a dependency package depending on libreadline6-dev.

Package: libreadline6-dev
Architecture: any
Section: libdevel
Priority: optional
Depends: libreadline6 (= ${binary:Version}), libtinfo-dev, dpkg (>= 1.15.4) | install-info, ${misc:Depends}
Multi-Arch: same
Conflicts: libreadline5-dev, libreadline-gplv2-dev
Description: GNU readline and history libraries, development files
 The GNU readline library aids in the consistency of user interface
 across discrete programs that need to provide a command line
 interface.
 .
 The GNU history library provides a consistent user interface for
 recalling lines of previously typed input.
 .
 This package contains development files and the readline documentation
 in info format.

Package: lib64readline6-dev
Architecture: i386 powerpc s390 sparc
Depends: lib64readline6 (= ${binary:Version}), ${devxx:Depends}, ${misc:Depends}
Provides: lib64readline-dev
Conflicts: lib64readline-dev, lib64readline-gplv2-dev
Section: libdevel
Priority: optional
Description: GNU readline and history libraries, development files (64-bit)
 The GNU readline library aids in the consistency of user interface
 across discrete programs that need to provide a command line
 interface.
 .
 The GNU history library provides a consistent user interface for
 recalling lines of previously typed input.

Package: libreadline6-dbg
Architecture: any
Depends: libreadline6 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: libreadline-dbg
Provides: libreadline-dbg
Suggests: libreadline6-dev
Section: debug
Priority: extra
Description: GNU readline and history libraries, debugging libraries
 The GNU readline library aids in the consistency of user interface
 across discrete programs that need to provide a command line
 interface.
 .
 The GNU history library provides a consistent user interface for
 recalling lines of previously typed input.

Package: rlfe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: utils
Priority: optional
Provides: readline-editor
Description: Front-end using readline to "cook" input lines for other programs
 This tool lets you use history and line-editing in any text oriented
 tool. This is especially useful with third-party proprietary tools that
 cannot be distributed linked against readline. It is not perfect but it
 works pretty well.
 .
 See the ledit and rlwrap packages for other programs of that kind.

Package: lib32readline6
Architecture: amd64 ppc64
Depends: readline-common, ${shlibs:Depends}, ${misc:Depends}
Section: libs
Priority: optional
Description: GNU readline and history libraries, run-time libraries (32-bit)
 The GNU readline library aids in the consistency of user interface
 across discrete programs that need to provide a command line
 interface.
 .
 The GNU history library provides a consistent user interface for
 recalling lines of previously typed input.

Package: lib32readline6-dev
Architecture: amd64 ppc64
Depends: lib32readline6 (= ${binary:Version}), lib32tinfo-dev, ${devxx:Depends}, ${misc:Depends}
Provides: lib32readline-dev
Conflicts: lib32readline-dev, lib32readline-gplv2-dev
Section: libdevel
Priority: optional
Description: GNU readline and history libraries, development files (32-bit)
 The GNU readline library aids in the consistency of user interface
 across discrete programs that need to provide a command line
 interface.
 .
 The GNU history library provides a consistent user interface for
 recalling lines of previously typed input.

Package: libx32readline6
Architecture: amd64 i386
Depends: readline-common, ${shlibs:Depends}, ${misc:Depends}
Section: libs
Priority: optional
Description: GNU readline and history libraries, run-time libraries (x32)
 The GNU readline library aids in the consistency of user interface
 across discrete programs that need to provide a command line
 interface.
 .
 The GNU history library provides a consistent user interface for
 recalling lines of previously typed input.

Package: libx32readline6-dev
Architecture: amd64 i386
Depends: libx32readline6 (= ${binary:Version}), libx32tinfo-dev, libc6-dev-x32, ${misc:Depends}
Provides: libx32readline-dev
Conflicts: libx32readline-dev, libx32readline-gplv2-dev
Section: libdevel
Priority: optional
Description: GNU readline and history libraries, development files (x32)
 The GNU readline library aids in the consistency of user interface
 across discrete programs that need to provide a command line
 interface.
 .
 The GNU history library provides a consistent user interface for
 recalling lines of previously typed input.
