## readline6 6.2+dfsg

=== debian/changelog ===
readline6 (6.2+dfsg-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove non DFSG-compliant files from source:
    doc/{history,rlman,rluserman,readline}.{dvi,html,info,pdf,ps,texi}.
    rluserman thus removed from /usr/share/info/ in readline-common and
    history and readline also removed from /usr/share/info/ in
    libreadline6-dev. Closes: #695784.

 -- David Prévot <taffit@debian.org>  Sun, 30 Dec 2012 17:20:39 -0400
