=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
   libtinfo-dev, lib32tinfo-dev [amd64 ppc64],
   libncursesw5-dev (>= 5.6),
   lib32ncursesw5-dev [amd64 ppc64], lib64ncurses5-dev [i386 powerpc sparc s390],
-  libx32tinfo-dev [amd64 i386], libx32ncursesw5-dev [amd64 i386],
   mawk | awk, texinfo, autotools-dev,
   gcc-multilib [amd64 i386 kfreebsd-amd64 powerpc ppc64 s390 sparc]
 
@@ -162,31 +161,3 @@
  .
  The GNU history library provides a consistent user interface for
  recalling lines of previously typed input.
-
-Package: libx32readline6
-Architecture: amd64 i386
-Depends: readline-common, ${shlibs:Depends}, ${misc:Depends}
-Section: libs
-Priority: optional
-Description: GNU readline and history libraries, run-time libraries (x32)
- The GNU readline library aids in the consistency of user interface
- across discrete programs that need to provide a command line
- interface.
- .
- The GNU history library provides a consistent user interface for
- recalling lines of previously typed input.
-
-Package: libx32readline6-dev
-Architecture: amd64 i386
-Depends: libx32readline6 (= ${binary:Version}), libx32tinfo-dev, libc6-dev-x32, ${misc:Depends}
-Provides: libx32readline-dev
-Conflicts: libx32readline-dev, libx32readline-gplv2-dev
-Section: libdevel
-Priority: optional
-Description: GNU readline and history libraries, development files (x32)
- The GNU readline library aids in the consistency of user interface
- across discrete programs that need to provide a command line
- interface.
- .
- The GNU history library provides a consistent user interface for
- recalling lines of previously typed input.
