## readline6 6.3

=== debian/changelog ===
readline6 (6.3-4ubuntu2) trusty; urgency=medium

  * Fix a display issue when a multiline command is aborted with ^C.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Mar 2014 19:46:45 +0100

readline6 (6.3-4ubuntu1) trusty; urgency=medium

  * Merge with Debian; remaining changes:
    - Build x32 packages.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 20 Mar 2014 04:18:57 +0100

readline6 (6.3-4) unstable; urgency=medium

  * Fix an issue in vi-mode, not re-doing the latest "dw", "dl", "D", ...
    commands.

 -- Matthias Klose <doko@debian.org>  Wed, 19 Mar 2014 18:35:48 +0100

readline6 (6.3-3) unstable; urgency=medium

  * Fix patching the installed example Makefile.

 -- Matthias Klose <doko@debian.org>  Wed, 19 Mar 2014 17:07:30 +0100

readline6 (6.3-2) unstable; urgency=medium

  * Fix segfault in _rl_dispatch_callback(). Closes: #741555.
  * Remove build specific paths from the installed examples Makefile.
    Closes: #670030, #693248.
  * 6.3 includes the documentation again. Closes: #726581.
  * Fix symbols file for non-linux architectures.
  * Fix build warning building rlfe (assignment makes pointer from integer
    without a cast).
  * Fix lintian permission warnings.

 -- Matthias Klose <doko@debian.org>  Wed, 19 Mar 2014 13:42:21 +0100

readline6 (6.3-1ubuntu2) trusty; urgency=medium

  * rl_dispatch_callback-segv.diff: Add upstream patch from Chet Ramey
    SIGSEGV in _rl_dispatch_callback() (Closes: #741555, LP: #1290287)

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 14 Mar 2014 14:37:56 -0600

readline6 (6.3-1ubuntu1) trusty; urgency=medium

  * Merge with Debian; remaining changes:
    - Build x32 packages.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 03 Mar 2014 10:37:35 +0100

readline6 (6.3-1) unstable; urgency=medium

  * readline 6.3 release.
  * Update symbols files.

 -- Matthias Klose <doko@debian.org>  Mon, 03 Mar 2014 08:24:21 +0100
