=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # -*- makefile -*-
 
 soversion = 6
-libversion = $(soversion).2
+libversion = $(soversion).3
 
 # architecture dependent variables
 DEB_HOST_ARCH		?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
@@ -55,6 +55,15 @@
     ARCH32 = powerpc
     HOST32 = powerpc-linux-gnu
   endif
+endif
+
+ifneq (,$(findstring /$(DEB_HOST_ARCH)/,/amd64/i386/))
+  buildx32 = yes
+  CCX32 = $(CROSS) -mx32
+  libx32dir = usr/libx32
+  libx32devdir = usr/libx32
+  ARCHX32 = x32
+  HOSTX32 = x86_64-linux-gnux32
 endif
 
 CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
@@ -77,10 +86,13 @@
 p_rlg	= $(p_rl)-dbg
 p_doc	= $(p_rl)-doc
 p_rlfe	= rlfe
+p_rlx32	= libx32readline$(soversion)
+p_rldx32= $(p_rlx32)-dev
 
 d	= debian/tmp
 d32	= debian/tmp32
 d64	= debian/tmp64
+dx32	= debian/tmp32
 d_rl	= debian/$(p_rl)
 d_rl32	= debian/$(p_rl32)
 d_rl64	= debian/$(p_rl64)
@@ -92,11 +104,14 @@
 d_rlg	= debian/$(p_rlg)
 d_doc	= debian/$(p_doc)
 d_rlfe	= debian/$(p_rlfe)
+d_rlx32	= debian/$(p_rlx32)
+d_rldx32= debian/$(p_rldx32)
 
 srcdir		= $(CURDIR)
 builddir	= $(CURDIR)/build
 builddir32	= $(CURDIR)/build32
 builddir64	= $(CURDIR)/build64
+builddirx32	= $(CURDIR)/buildx32
 
 default: build
 
@@ -129,6 +144,14 @@
 		--host=$(HOST64) --prefix=/usr
 endif
 
+ifneq ($(buildx32),)
+	rm -rf $(builddirx32)
+	mkdir $(builddirx32)
+	cd $(builddirx32) && \
+	  CC="$(CCX32)" CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" $(srcdir)/configure \
+		--host=$(HOSTX32) --prefix=/usr
+endif
+
 	touch configure-stamp
 
 ifeq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
@@ -154,7 +177,7 @@
 	    SHOBJ_CFLAGS="-fPIC -D_REENTRANT" \
 	    SHOBJ_LDFLAGS='$(LDFLAGS) -shared' \
 	    SHLIB_LIBS="-ltinfo"
-	    SHLIB_XLDFLAGS='-soname,`echo $$@ | sed s/\\..$$$$//`'
+	    SHLIB_XLDFLAGS='-Wl,-soname,`echo $$@ | sed s/\\..$$$$//`'
 endif
 
 ifneq ($(build64),)
@@ -164,8 +187,19 @@
 	    SHOBJ_CFLAGS="-fPIC -D_REENTRANT" \
 	    SHOBJ_LDFLAGS='$(LDFLAGS) -shared' \
 	    SHLIB_LIBS="-ltinfo"
-	    SHLIB_XLDFLAGS='-soname,`echo $$@ | sed s/\\..$$$$//`'
-endif
+	    SHLIB_XLDFLAGS='-Wl,-soname,`echo $$@ | sed s/\\..$$$$//`'
+endif
+
+ifneq ($(buildx32),)
+	$(MAKE) -C $(builddirx32) \
+	    CC="$(CCX32)" \
+	    CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" \
+	    SHOBJ_CFLAGS="-fPIC -D_REENTRANT" \
+	    SHOBJ_LDFLAGS='$(LDFLAGS) -shared' \
+	    SHLIB_LIBS="-ltinfo"
+	    SHLIB_XLDFLAGS='-Wl,-soname,`echo $$@ | sed s/\\..$$$$//`'
+endif
+
 	$(MAKE) -C $(builddir)/doc info
 
 	touch build-stamp
@@ -184,7 +218,7 @@
 	cd $(builddir)/examples/rlfe \
 		&& ./configure --prefix=/usr --host=$(DEB_HOST_GNU_TYPE)
 	$(MAKE) -C $(builddir)/examples/rlfe \
-	    CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" \
+	    CFLAGS="$(CFLAGS) -D_GNU_SOURCE" CPPFLAGS="$(CPPFLAGS)" \
 	    LDFLAGS="$(LDFLAGS) -g -L$(builddir)/shlib" \
 	    LIBS="-lreadline -ltinfo -lutil" rlfe
 	touch build-rlfe-stamp
@@ -212,6 +246,8 @@
 	$(MAKE) -C $(builddir) install \
 	    CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS) -D_REENTRANT" \
 	    SHOBJ_LDFLAGS='-shared $(LDFLAGS)' \
+	    SHLIB_XLDFLAGS='-Wl,-soname,`echo $$@ | sed s/\\..$$$$//`' \
+	    SHLIB_LIBS=-ltinfo \
 	    DESTDIR=$(CURDIR)/$(d) \
 	    mandir=/usr/share/man \
 	    infodir=/usr/share/info
@@ -232,12 +268,14 @@
 	dh_installdirs -p$(p_comm) \
 		etc \
 		usr/share/readline \
+		usr/share/info \
 		usr/share/doc
 	mv $(d)/usr/share/man $(d_comm)/usr/share/.
 	mv $(d_comm)/usr/share/man/man3/history.3 \
 		$(d_comm)/usr/share/man/man3/history.3readline
 	mv $(d_comm)/usr/share/man/man3/readline.3 \
 		$(d_comm)/usr/share/man/man3/readline.3readline
+	mv $(d)/usr/share/info/rluserman.info $(d_comm)/usr/share/info/.
 	install -m 644 debian/inputrc $(d_comm)/usr/share/readline/
 
 	: # move $(p_rlg)
@@ -251,30 +289,3 @@
 	ln -s libreadline.so.$(libversion) \
 		$(d_rlg)/usr/lib/debug/libreadline.so.$(soversion)
 
-	: # move $(p_rld)
-	dh_installdirs -p$(p_rld) \
-		usr/lib/$(DEB_HOST_MULTIARCH)/ \
-		usr/share/doc
-	ln -s /lib/$(DEB_HOST_MULTIARCH)/libhistory.so.$(soversion) \
-		$(d_rld)/usr/lib/$(DEB_HOST_MULTIARCH)/libhistory.so
-	ln -s /lib/$(DEB_HOST_MULTIARCH)/libreadline.so.$(soversion) \
-		$(d_rld)/usr/lib/$(DEB_HOST_MULTIARCH)/libreadline.so
-	mv $(d)/usr/lib/$(DEB_HOST_MULTIARCH)/lib{history,readline}.a \
-		$(d_rld)/usr/lib/$(DEB_HOST_MULTIARCH)/.
-	mv $(d)/usr/include $(d_rld)/usr/.
-
-	: # remove HAVE_CONFIG_H from installed headers
-	awk '/^#if defined \(HAVE_CONFIG_H\)/, /^#endif/ \
-	     {if ($$0 == "#else") print "#include <string.h>"; next} {print}' \
-	  $(d_rld)/usr/include/readline/chardefs.h \
-	  > $(d_rld)/usr/include/readline/chardefs.h.new
-	if diff -u $(d_rld)/usr/include/readline/chardefs.h \
-		$(d_rld)/usr/include/readline/chardefs.h.new; \
-	then \
-	  rm -f $(d_rld)/usr/include/readline/chardefs.h.new; \
-	else \
-	  mv -f $(d_rld)/usr/include/readline/chardefs.h.new \
-	    $(d_rld)/usr/include/readline/chardefs.h; \
-	fi
-
-	: # install $(p_rlfe)
