=== debian/watch ===
version=2
ftp://ftp.gnu.org/gnu/readline/readline-([\d\.]*).tar.gz debian uupdate
